glibmm 2.56.0

Namespaces | Classes | Typedefs | Enumerations | Functions
Gio::DBus Namespace Reference

## Namespaces
| Address
| ErrorUtils

## Classes
class | ActionGroup
| ActionGroup - A D-Bus Gio::ActionGroup implementation. More...
class | AnnotationInfo
| Stores information about an annotation. More...
class | ArgInfo
| ArgInfo - Stores information about an argument for a method or a signal. More...
class | AuthObserver
| AuthObserver - An object used for authenticating connections. More...
class | Connection
| A D-Bus Connection. More...
class | Error
class | Interface
| Interface - Base type for D-Bus interfaces. More...
class | InterfaceInfo
| Stores information about a D-Bus interface. More...
class | InterfaceSkeleton
| Abstract base class for D-Bus interfaces on the service side. More...
class | InterfaceVTable
| This represents a virtual table for handling properties and method calls for a D-Bus interface. More...
class | MenuModel
| MenuModel - A D-Bus Gio::MenuModel implementation. More...
class | Message
| A type for representing D-Bus messages that can be sent or received on a Connection. More...
class | MethodInfo
| Stores information about a method on an D-Bus interface. More...
class | MethodInvocation
| An Object for handling remote calls. More...
class | NodeInfo
| NodeInfo - Stores information about nodes in a remote object hierarchy. More...
class | Object
| Object - Base type for D-Bus objects. More...
class | PropertyInfo
| Stores information about a property on a D-Bus interface. More...
class | Proxy
| A client-side proxy. More...
class | Server
| This is a helper for listening to and accepting D-Bus connections. More...
class | SignalInfo
| Stores information about a signal on a D-Bus interface. More...
class | SubtreeVTable
| This represents a virtual table for subtrees registered with Gio::DBus::Connection::register_subtree(). More...

## Typedefs
using | SlotBusAcquired = sigc::slot< void, const Glib::RefPtr< Gio::DBus::Connection >&, Glib::ustring >
| For example, void on_bus_acquired(const Glib::RefPtr<Gio::DBus::Connection>& connection, const Glib::ustring& name);. More...
using | SlotNameAcquired = sigc::slot< void, const Glib::RefPtr< Gio::DBus::Connection >&, Glib::ustring >
| For example, void on_name_acquired(const Glib::RefPtr<Gio::DBus::Connection>& connection, const Glib::ustring& name);. More...
using | SlotNameLost = sigc::slot< void, const Glib::RefPtr< Gio::DBus::Connection >&, Glib::ustring >
| For example, void on_name_lost(const Glib::RefPtr<Gio::DBus::Connection>& connection, const Glib::ustring& name);. More...
using | SlotNameAppeared = sigc::slot< void, const Glib::RefPtr< Gio::DBus::Connection >&, Glib::ustring, const Glib::ustring& >
| For example, void on_name_appeared(const Glib::RefPtr<Gio::DBus::Connection>& connection, const Glib::ustring& name, const Glib::ustring& name_owner);. More...
using | SlotNameVanished = sigc::slot< void, const Glib::RefPtr< Gio::DBus::Connection >&, Glib::ustring >
| For example, void on_name_vanished(const Glib::RefPtr<Gio::DBus::Connection>& connection, const Glib::ustring& name);. More...

## Enumerations
enum | BusType { BUS_TYPE_STARTER = -1, BUS_TYPE_NONE, BUS_TYPE_SYSTEM, BUS_TYPE_SESSION }
| An enumeration for well-known message buses. More...
enum | CallFlags { CALL_FLAGS_NONE = 0x0, CALL_FLAGS_NO_AUTO_START = (1<<0), CALL_FLAGS_ALLOW_INTERACTIVE_AUTHORIZATION = (1<<1) }
| Flags used in g_dbus_connection_call() and similar APIs. More...
enum | ConnectionFlags { CONNECTION_FLAGS_NONE = 0x0, CONNECTION_FLAGS_AUTHENTICATION_CLIENT = (1<<0), CONNECTION_FLAGS_AUTHENTICATION_SERVER = (1<<1), CONNECTION_FLAGS_AUTHENTICATION_ALLOW_ANONYMOUS = (1<<2), CONNECTION_FLAGS_MESSAGE_BUS_CONNECTION = (1<<3), CONNECTION_FLAGS_DELAY_MESSAGE_PROCESSING = (1<<4) }
| Flags used when creating a new DBusConnection. More...
enum | SendMessageFlags { SEND_MESSAGE_FLAGS_NONE = 0x0, SEND_MESSAGE_FLAGS_PRESERVE_SERIAL = (1<<0) }
| Flags used when sending DBusMessages on a DBusConnection. More...
enum | SignalFlags { SIGNAL_FLAGS_NONE = 0x0, SIGNAL_FLAGS_NO_MATCH_RULE = (1<<0), SIGNAL_FLAGS_MATCH_ARG0_NAMESPACE = (1<<1), SIGNAL_FLAGS_MATCH_ARG0_PATH = (1<<2) }
| Flags used when subscribing to signals via g_dbus_connection_signal_subscribe(). More...
enum | SubtreeFlags { SUBTREE_FLAGS_NONE = 0x0, SUBTREE_FLAGS_DISPATCH_TO_UNENUMERATED_NODES = (1<<0) }
| Flags passed to g_dbus_connection_register_subtree(). More...
enum | InterfaceSkeletonFlags { DBUS_INTERFACE_SKELETON_FLAGS_NONE = 0x0, DBUS_INTERFACE_SKELETON_FLAGS_HANDLE_METHOD_INVOCATIONS_IN_THREAD = (1<<0) }
| Flags describing the behavior of a DBusInterfaceSkeleton instance. More...
enum | PropertyInfoFlags { PROPERTY_INFO_FLAGS_NONE = 0x0, PROPERTY_INFO_FLAGS_READABLE = (1<<0), PROPERTY_INFO_FLAGS_WRITABLE = (1<<1) }
| Flags describing the access control of a D-Bus property. More...
enum | MessageType { MESSAGE_TYPE_INVALID, MESSAGE_TYPE_METHOD_CALL, MESSAGE_TYPE_METHOD_RETURN, MESSAGE_TYPE_ERROR, MESSAGE_TYPE_SIGNAL }
| Message types used in DBusMessage. More...
enum | MessageFlags { MESSAGE_FLAGS_NONE = 0x0, MESSAGE_FLAGS_NO_REPLY_EXPECTED = (1<<0), MESSAGE_FLAGS_NO_AUTO_START = (1<<1), MESSAGE_FLAGS_ALLOW_INTERACTIVE_AUTHORIZATION = (1<<2) }
| Message flags used in DBusMessage. More...
enum | MessageHeaderField { MESSAGE_HEADER_FIELD_INVALID, MESSAGE_HEADER_FIELD_PATH, MESSAGE_HEADER_FIELD_INTERFACE, MESSAGE_HEADER_FIELD_MEMBER, MESSAGE_HEADER_FIELD_ERROR_NAME, MESSAGE_HEADER_FIELD_REPLY_SERIAL, MESSAGE_HEADER_FIELD_DESTINATION, MESSAGE_HEADER_FIELD_SENDER, MESSAGE_HEADER_FIELD_SIGNATURE, MESSAGE_HEADER_FIELD_NUM_UNIX_FDS }
| Header fields used in DBusMessage. More...
enum | CapabilityFlags { CAPABILITY_FLAGS_NONE = 0x0, CAPABILITY_FLAGS_UNIX_FD_PASSING = (1<<0) }
| Capabilities negotiated with the remote peer. More...
enum | BusNameOwnerFlags { BUS_NAME_OWNER_FLAGS_NONE = 0x0, BUS_NAME_OWNER_FLAGS_ALLOW_REPLACEMENT = (1<<0), BUS_NAME_OWNER_FLAGS_REPLACE = (1<<1), BUS_NAME_OWNER_FLAGS_DO_NOT_QUEUE = (1<<2) }
| Flags used in g_bus_own_name(). More...
enum | ProxyFlags { PROXY_FLAGS_NONE = 0x0, PROXY_FLAGS_DO_NOT_LOAD_PROPERTIES = (1<<0), PROXY_FLAGS_DO_NOT_CONNECT_SIGNALS = (1<<1), PROXY_FLAGS_DO_NOT_AUTO_START = (1<<2), PROXY_FLAGS_GET_INVALIDATED_PROPERTIES = (1<<3), PROXY_FLAGS_DO_NOT_AUTO_START_AT_CONSTRUCTION = (1<<4) }
| Flags used when constructing an instance of a DBusProxy derived class. More...
enum | ServerFlags { SERVER_FLAGS_NONE = 0x0, SERVER_FLAGS_RUN_IN_THREAD = (1<<0), SERVER_FLAGS_AUTHENTICATION_ALLOW_ANONYMOUS = (1<<1) }
| Flags used when creating a DBusServer. More...
enum | BusNameWatcherFlags { BUS_NAME_WATCHER_FLAGS_NONE = 0x0, BUS_NAME_WATCHER_FLAGS_AUTO_START = (1<<0) }
| Flags used in g_bus_watch_name(). More...

## Functions
CallFlags | operator| (CallFlags lhs, CallFlags rhs)
CallFlags | operator& (CallFlags lhs, CallFlags rhs)
CallFlags | operator^ (CallFlags lhs, CallFlags rhs)
CallFlags | operator~ (CallFlags flags)
CallFlags& | operator|= (CallFlags& lhs, CallFlags rhs)
CallFlags& | operator&= (CallFlags& lhs, CallFlags rhs)
CallFlags& | operator^= (CallFlags& lhs, CallFlags rhs)
ConnectionFlags | operator| (ConnectionFlags lhs, ConnectionFlags rhs)
ConnectionFlags | operator& (ConnectionFlags lhs, ConnectionFlags rhs)
ConnectionFlags | operator^ (ConnectionFlags lhs, ConnectionFlags rhs)
ConnectionFlags | operator~ (ConnectionFlags flags)
ConnectionFlags& | operator|= (ConnectionFlags& lhs, ConnectionFlags rhs)
ConnectionFlags& | operator&= (ConnectionFlags& lhs, ConnectionFlags rhs)
ConnectionFlags& | operator^= (ConnectionFlags& lhs, ConnectionFlags rhs)
SendMessageFlags | operator| (SendMessageFlags lhs, SendMessageFlags rhs)
SendMessageFlags | operator& (SendMessageFlags lhs, SendMessageFlags rhs)
SendMessageFlags | operator^ (SendMessageFlags lhs, SendMessageFlags rhs)
SendMessageFlags | operator~ (SendMessageFlags flags)
SendMessageFlags& | operator|= (SendMessageFlags& lhs, SendMessageFlags rhs)
SendMessageFlags& | operator&= (SendMessageFlags& lhs, SendMessageFlags rhs)
SendMessageFlags& | operator^= (SendMessageFlags& lhs, SendMessageFlags rhs)
SignalFlags | operator| (SignalFlags lhs, SignalFlags rhs)
SignalFlags | operator& (SignalFlags lhs, SignalFlags rhs)
SignalFlags | operator^ (SignalFlags lhs, SignalFlags rhs)
SignalFlags | operator~ (SignalFlags flags)
SignalFlags& | operator|= (SignalFlags& lhs, SignalFlags rhs)
SignalFlags& | operator&= (SignalFlags& lhs, SignalFlags rhs)
SignalFlags& | operator^= (SignalFlags& lhs, SignalFlags rhs)
SubtreeFlags | operator| (SubtreeFlags lhs, SubtreeFlags rhs)
SubtreeFlags | operator& (SubtreeFlags lhs, SubtreeFlags rhs)
SubtreeFlags | operator^ (SubtreeFlags lhs, SubtreeFlags rhs)
SubtreeFlags | operator~ (SubtreeFlags flags)
SubtreeFlags& | operator|= (SubtreeFlags& lhs, SubtreeFlags rhs)
SubtreeFlags& | operator&= (SubtreeFlags& lhs, SubtreeFlags rhs)
SubtreeFlags& | operator^= (SubtreeFlags& lhs, SubtreeFlags rhs)
InterfaceSkeletonFlags | operator| (InterfaceSkeletonFlags lhs, InterfaceSkeletonFlags rhs)
InterfaceSkeletonFlags | operator& (InterfaceSkeletonFlags lhs, InterfaceSkeletonFlags rhs)
InterfaceSkeletonFlags | operator^ (InterfaceSkeletonFlags lhs, InterfaceSkeletonFlags rhs)
InterfaceSkeletonFlags | operator~ (InterfaceSkeletonFlags flags)
InterfaceSkeletonFlags& | operator|= (InterfaceSkeletonFlags& lhs, InterfaceSkeletonFlags rhs)
InterfaceSkeletonFlags& | operator&= (InterfaceSkeletonFlags& lhs, InterfaceSkeletonFlags rhs)
InterfaceSkeletonFlags& | operator^= (InterfaceSkeletonFlags& lhs, InterfaceSkeletonFlags rhs)
PropertyInfoFlags | operator| (PropertyInfoFlags lhs, PropertyInfoFlags rhs)
PropertyInfoFlags | operator& (PropertyInfoFlags lhs, PropertyInfoFlags rhs)
PropertyInfoFlags | operator^ (PropertyInfoFlags lhs, PropertyInfoFlags rhs)
PropertyInfoFlags | operator~ (PropertyInfoFlags flags)
PropertyInfoFlags& | operator|= (PropertyInfoFlags& lhs, PropertyInfoFlags rhs)
PropertyInfoFlags& | operator&= (PropertyInfoFlags& lhs, PropertyInfoFlags rhs)
PropertyInfoFlags& | operator^= (PropertyInfoFlags& lhs, PropertyInfoFlags rhs)
MessageFlags | operator| (MessageFlags lhs, MessageFlags rhs)
MessageFlags | operator& (MessageFlags lhs, MessageFlags rhs)
MessageFlags | operator^ (MessageFlags lhs, MessageFlags rhs)
MessageFlags | operator~ (MessageFlags flags)
MessageFlags& | operator|= (MessageFlags& lhs, MessageFlags rhs)
MessageFlags& | operator&= (MessageFlags& lhs, MessageFlags rhs)
MessageFlags& | operator^= (MessageFlags& lhs, MessageFlags rhs)
CapabilityFlags | operator| (CapabilityFlags lhs, CapabilityFlags rhs)
CapabilityFlags | operator& (CapabilityFlags lhs, CapabilityFlags rhs)
CapabilityFlags | operator^ (CapabilityFlags lhs, CapabilityFlags rhs)
CapabilityFlags | operator~ (CapabilityFlags flags)
CapabilityFlags& | operator|= (CapabilityFlags& lhs, CapabilityFlags rhs)
CapabilityFlags& | operator&= (CapabilityFlags& lhs, CapabilityFlags rhs)
CapabilityFlags& | operator^= (CapabilityFlags& lhs, CapabilityFlags rhs)
BusNameOwnerFlags | operator| (BusNameOwnerFlags lhs, BusNameOwnerFlags rhs)
BusNameOwnerFlags | operator& (BusNameOwnerFlags lhs, BusNameOwnerFlags rhs)
BusNameOwnerFlags | operator^ (BusNameOwnerFlags lhs, BusNameOwnerFlags rhs)
BusNameOwnerFlags | operator~ (BusNameOwnerFlags flags)
BusNameOwnerFlags& | operator|= (BusNameOwnerFlags& lhs, BusNameOwnerFlags rhs)
BusNameOwnerFlags& | operator&= (BusNameOwnerFlags& lhs, BusNameOwnerFlags rhs)
BusNameOwnerFlags& | operator^= (BusNameOwnerFlags& lhs, BusNameOwnerFlags rhs)
guint | own_name (BusType bus_type, const Glib::ustring& name, const SlotBusAcquired& bus_acquired_slot=SlotBusAcquired(), const SlotNameAcquired& name_acquired_slot=SlotNameAcquired(), const SlotNameLost& name_lost_slot=SlotNameLost(), BusNameOwnerFlags flags=Gio::DBus::BUS_NAME_OWNER_FLAGS_NONE)
| Starts acquiring name on the bus specified by bus_type and calls name_acquired_slot and name_lost_slot when the name is acquired respectively lost. More...
void | unown_name (guint owner_id)
| Stops owning a name. More...
ProxyFlags | operator| (ProxyFlags lhs, ProxyFlags rhs)
ProxyFlags | operator& (ProxyFlags lhs, ProxyFlags rhs)
ProxyFlags | operator^ (ProxyFlags lhs, ProxyFlags rhs)
ProxyFlags | operator~ (ProxyFlags flags)
ProxyFlags& | operator|= (ProxyFlags& lhs, ProxyFlags rhs)
ProxyFlags& | operator&= (ProxyFlags& lhs, ProxyFlags rhs)
ProxyFlags& | operator^= (ProxyFlags& lhs, ProxyFlags rhs)
ServerFlags | operator| (ServerFlags lhs, ServerFlags rhs)
ServerFlags | operator& (ServerFlags lhs, ServerFlags rhs)
ServerFlags | operator^ (ServerFlags lhs, ServerFlags rhs)
ServerFlags | operator~ (ServerFlags flags)
ServerFlags& | operator|= (ServerFlags& lhs, ServerFlags rhs)
ServerFlags& | operator&= (ServerFlags& lhs, ServerFlags rhs)
ServerFlags& | operator^= (ServerFlags& lhs, ServerFlags rhs)
std::string | generate_guid ()
| Generate a D-Bus GUID that can be used with e.g. More...
bool | is_guid (const std::string&string)
| Checks if string is a D-Bus GUID. More...
bool | is_name (const Glib::ustring&string)
| Checks if string is a valid D-Bus bus name (either unique or well-known). More...
bool | is_unique_name (const Glib::ustring&string)
| Checks if string is a valid D-Bus unique bus name. More...
bool | is_member_name (const Glib::ustring&string)
| Checks if string is a valid D-Bus member (e.g. More...
bool | is_interface_name (const Glib::ustring&string)
| Checks if string is a valid D-Bus interface name. More...
BusNameWatcherFlags | operator| (BusNameWatcherFlags lhs, BusNameWatcherFlags rhs)
BusNameWatcherFlags | operator& (BusNameWatcherFlags lhs, BusNameWatcherFlags rhs)
BusNameWatcherFlags | operator^ (BusNameWatcherFlags lhs, BusNameWatcherFlags rhs)
BusNameWatcherFlags | operator~ (BusNameWatcherFlags flags)
BusNameWatcherFlags& | operator|= (BusNameWatcherFlags& lhs, BusNameWatcherFlags rhs)
BusNameWatcherFlags& | operator&= (BusNameWatcherFlags& lhs, BusNameWatcherFlags rhs)
BusNameWatcherFlags& | operator^= (BusNameWatcherFlags& lhs, BusNameWatcherFlags rhs)
guint | watch_name (BusType bus_type, const Glib::ustring& name, const SlotNameAppeared& name_appeared_slot=SlotNameAppeared(), const SlotNameVanished& name_vanished_slot=SlotNameVanished(), BusNameWatcherFlags flags=Gio::DBus::BUS_NAME_WATCHER_FLAGS_NONE)
| Starts watching name on the bus specified by bus_type and calls name_appeared_slot and name_vanished_slot when the name is known to have a owner respectively known to lose its owner. More...
guint | watch_name (const Glib::RefPtr< Connection >& connection, const Glib::ustring& name, const SlotNameAppeared& name_appeared_slot=SlotNameAppeared(), const SlotNameVanished& name_vanished_slot=SlotNameVanished(), BusNameWatcherFlags flags=Gio::DBus::BUS_NAME_WATCHER_FLAGS_NONE)
| A watch_name() function that takes a Connection instead of a BusType. More...
void | unwatch_name (guint watcher_id)
| Stops watching a name. More...

## Function Documentation

## ◆ unown_name()

void Gio::DBus::unown_name | ( | guint | owner_id | ) |

Stops owning a name.

Parameters

  owner_id | An identifier obtained from own_name().